# Add-RASPrintingAutoInstallFont.md

## NAME

Add-RASPrintingAutoInstallFont

## SYNOPSIS

Adds an Auto install font to Parallels RAS Universal Printing settings.

## SYNTAX

\*\*Add-RASPrintingAutoInstallFont -[FontFilePath](#fontfilepath-string) *(string)* \[[ExcludeFont](#excludefont-string) *(SwitchParameter)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Adds an Auto install font to Parallels RAS Universal Printing settings.

## PARAMETERS

## SiteId (uint)

The site ID.

To obtain the ID of a desired site, use the Get-Sites cmdlet.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## FontFilePath (string)

Auto Install Font Path.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ExcludeFont (SwitchParameter)

Automatically Exclude Font from embedding.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Add-RASPrintingAutoInstallFont -FontFilePath "C:\Windows\Fonts\arialbd.ttf"

Adds the font to RAS Universal Printing Auto install fonts settings.\
\*\*---------- EXAMPLE 2 ----------

Add-RASPrintingAutoInstallFont -FontFilePath "C:\Windows\Fonts\arialbd.ttf" -ExcludeFont

Adds the font to RAS Universal Printing Auto install fonts settings and adds the font to the embedding exclusion list.

## RELATED LINKS

* [Get-RASPrintingSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasprintingsettings.md)
* [Set-RASPrintingSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasprintingsettings.md)
* [Get-RASPrintingAutoInstallFont](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasprintingautoinstallfont.md)
* [Remove-RASPrintingAutoInstallFont](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasprintingautoinstallfont.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasprintingautoinstallfont.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
